Bug 27343 - [r300g] - celestia's stars are missing with "OpenGL vertex program" rendering path
[r300g] - celestia's stars are missing with "OpenGL vertex program" rendering...
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/R100
git
x86 (IA32) Linux (All)
: medium normal
Assigned To: Default DRI bug account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-27 06:54 UTC by Chris Rankin
Modified: 2010-05-08 14:40 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
No stars visible behind the Earth from this angle. (216.56 KB, image/jpeg)
2010-04-18 16:22 UTC, Chris Rankin
Details
Rotate our viewpoint, and the stars come out. (206.92 KB, image/jpeg)
2010-04-18 16:25 UTC, Chris Rankin
Details
And now the stars are large and square (234.36 KB, image/jpeg)
2010-05-05 15:11 UTC, Chris Rankin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rankin 2010-03-27 06:54:33 UTC
I am running celestia with a Radeon 9550 (RV350) and Gallium from git. When I cycle through all celestia's different rendering path options with Ctrl-V, all the stars disappear when I reach "OpenGL vertex program".

The stars are also missing with the "OpenGL 2.0" rendering path, as are all the textures for planet Earth.
Comment 1 Chris Rankin 2010-04-18 16:22:56 UTC
Created attachment 35149 [details]
No stars visible behind the Earth from this angle.

With the "OpenGL vertex program" and "OpenGL 2.0" rendering paths, there are no stars visible behind the Earth. Switch to "Basic" or "Multitexture" under r300g, or "OpenGL vertex program" under r300c, and the stars reappear.
Comment 2 Chris Rankin 2010-04-18 16:25:50 UTC
Created attachment 35150 [details]
Rotate our viewpoint, and the stars come out.

Rotate our viewpoint around the Earth, and the stars appear again. But they're using a lot more pixels per star than I would have otherwise expected.
Comment 3 Marek Olšák 2010-05-05 14:37:47 UTC
Fixed as of the commit 0ad541a684ca55e883a0bcde9ab8b5d73806269a.

Closing...
Comment 4 Chris Rankin 2010-05-05 15:11:31 UTC
Created attachment 35440 [details]
And now the stars are large and square

Err, so how long is it since you looked at the night sky ;-) ?
Comment 5 Marek Olšák 2010-05-05 15:33:36 UTC
Ooops, that doesn't look right.

Nevertheless, celestia renders stars correctly here (RV530), the stars are of the same size in all rendering modes and they really look like "stars" (wait, looking at sky... yep they do). Nothing to fix here. :(
Comment 6 Chris Rankin 2010-05-05 15:36:24 UTC
(In reply to comment #5)
> Nevertheless, celestia renders stars correctly here (RV530)

RV350 here: AGP with PCI ids 01:00.0 0300: 1002:4153. The problem here is that the RV530 fix has made the RV350 case even worse.
Comment 7 Marek Olšák 2010-05-05 17:01:34 UTC
Both softpipe and llvmpipe render the stars correctly here, it appears to be an RV350 issue.
Comment 8 Chris Rankin 2010-05-06 01:03:31 UTC
(In reply to comment #7)
> Both softpipe and llvmpipe render the stars correctly here, it appears to be an
> RV350 issue.

To confirm: reverting the single line of commit 0ad541a684ca55e883a0bcde9ab8b5d73806269a restores the original behaviour.
Comment 9 Michel Dänzer 2010-05-06 01:43:38 UTC
Chris/Marek, which star style have you selected in the celestia Options menu? With 'Points' I get something like Chris' last screenshot (which is kind of expected I think, as r300g doesn't support smooth points properly yet), the other styles look much better on my RV350.
Comment 10 Marek Olšák 2010-05-06 03:26:30 UTC
I don't have "Points" in the Options menu. It's Celestia 1.6.0 here.
Comment 11 Michel Dänzer 2010-05-06 04:43:09 UTC
(In reply to comment #10)
> I don't have "Points" in the Options menu. It's Celestia 1.6.0 here.

It's Options -> Star Style -> Fuzzy Points / Points / Scaled Discs.
Comment 12 Chris Rankin 2010-05-06 11:49:26 UTC
(In reply to comment #9)
> Chris/Marek, which star style have you selected in the celestia Options menu?
> With 'Points' I get something like Chris' last screenshot (which is kind of
> expected I think, as r300g doesn't support smooth points properly yet), the
> other styles look much better on my RV350.

Yes, my star style is "Points". The other two styles render correctly.
Comment 13 Marek Olšák 2010-05-08 14:40:13 UTC
Fixed as of the commit 084580fa43320b1a0878b572c6804aa5a40b2f9d.

There is no Star Style option in the kde frontend. I've had to use the gnome frontend instead.

Closing...